import { ValidatorFn } from "./models";
export declare const isValidEmail: ValidatorFn;
export declare const passwordsMatch: (passwordField: string) => ValidatorFn;
export declare const v: {
    isValidDate: ValidatorFn;
    isValidPhoneNumber: ValidatorFn;
    isValidUSZipCode: ValidatorFn;
    isValidEmail: ValidatorFn;
    minimunQuantity: (minValue: number) => ValidatorFn;
    min: (minValue: number) => ValidatorFn;
    max: (maxValue: number) => ValidatorFn;
    maximumQuantity: (maxValue: number) => ValidatorFn;
    validateStrongPassword: ValidatorFn;
    required: ValidatorFn;
    isImage: ValidatorFn;
    equalTo: (compareValue: string | number) => ValidatorFn;
    isNumber: ValidatorFn;
    isBoolean: ValidatorFn;
    isString: ValidatorFn;
    pattern: (regex: RegExp) => ValidatorFn;
    optional: (validator: ValidatorFn) => ValidatorFn;
    isTrue: ValidatorFn;
    isFalse: ValidatorFn;
    isValidUrl: ValidatorFn;
    isCreditCard: ValidatorFn;
    isBase64: ValidatorFn;
    isIP: ValidatorFn;
    passwordsMatch: (passwordField: string) => ValidatorFn;
};
